# Versions ## List deployed Workflow versions `client.workflows.versions.list(stringworkflowName, VersionListParamsparams, RequestOptionsoptions?): V4PagePaginationArray` **get** `/accounts/{account_id}/workflows/{workflow_name}/versions` Lists all deployed versions of a workflow. ### Parameters - `workflowName: string` - `params: VersionListParams` - `account_id: string` Path param - `page?: number` Query param - `per_page?: number` Query param ### Returns - `VersionListResponse` - `id: string` - `class_name: string` - `created_on: string` - `has_dag: boolean` - `modified_on: string` - `workflow_id: string` - `limits?: Limits` - `steps?: number` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const versionListResponse of client.workflows.versions.list('x', { account_id: 'account_id', })) { console.log(versionListResponse.id); } ``` #### Response ```json { "errors": [ { "code": 0, "message": "message" } ], "messages": [ { "code": 0, "message": "message" } ], "result": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "class_name": "class_name", "created_on": "2019-12-27T18:11:19.117Z", "has_dag": true, "modified_on": "2019-12-27T18:11:19.117Z", "workflow_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "limits": { "steps": 1 } } ], "success": true, "result_info": { "count": 0, "per_page": 0, "total_count": 0, "cursor": "cursor", "page": 0 } } ``` ## Get Workflow version details `client.workflows.versions.get(stringworkflowName, stringversionId, VersionGetParamsparams, RequestOptionsoptions?): VersionGetResponse` **get** `/accounts/{account_id}/workflows/{workflow_name}/versions/{version_id}` Retrieves details for a specific deployed workflow version. ### Parameters - `workflowName: string` - `versionId: string` - `params: VersionGetParams` - `account_id: string` ### Returns - `VersionGetResponse` - `id: string` - `class_name: string` - `created_on: string` - `has_dag: boolean` - `modified_on: string` - `workflow_id: string` - `limits?: Limits` - `steps?: number` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const version = await client.workflows.versions.get('x', '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', { account_id: 'account_id', }); console.log(version.id); ``` #### Response ```json { "errors": [ { "code": 0, "message": "message" } ], "messages": [ { "code": 0, "message": "message" } ], "result": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "class_name": "class_name", "created_on": "2019-12-27T18:11:19.117Z", "has_dag": true, "modified_on": "2019-12-27T18:11:19.117Z", "workflow_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "limits": { "steps": 1 } }, "success": true, "result_info": { "count": 0, "per_page": 0, "total_count": 0, "cursor": "cursor", "page": 0 } } ``` ## Domain Types ### Version List Response - `VersionListResponse` - `id: string` - `class_name: string` - `created_on: string` - `has_dag: boolean` - `modified_on: string` - `workflow_id: string` - `limits?: Limits` - `steps?: number` ### Version Get Response - `VersionGetResponse` - `id: string` - `class_name: string` - `created_on: string` - `has_dag: boolean` - `modified_on: string` - `workflow_id: string` - `limits?: Limits` - `steps?: number`